need to review usability and gui of module manager
Description

The module manager is complete and functioning, but has not been reviewed by the broader community. Because it is a critical
component and a fundamental part of the 2.0 release, we need to review its usability and design to be sure we are ready to ship. To
close this bug, at least 5 people should review the module manager and verify that:

1) The user interface is usable and intuitive

1a) Modules are listed, with a brief description of each module

1b) Users can easily install & uninstall modules

1¢) The module list can be searched to filter the list

2) The module manager can display new modules as they are published

3) The module manager can upgrade modules that are updated

4) The module manager can be configured to automatically find and download patch upgrades when they are available

Please post a comment here if you have reviewed these issues, stating which of the above list are satisfied, and any other
comments.

Related issues:
Blocked by Kepler - Bug #4009: kepler 2.0 must provide everything needed for ... Resolved 04/21/2009

History

#1 - 08/26/2009 02:05 PM - Chad Berkley

We also need to check to make sure that the module manager can successfully upgrade existing modules without breaking the current kepler
installation.

#2 - 09/30/2009 04:02 PM - jianwu jianwu

We also need to check:
1) whether the module manager can display new suites as they are published, switch suites easily.
2) add/configure other module repositories from module manager GUI.

One suggestion for current usability is the downloading process bar. In my current tests, needed modules are downloaded by Module Manger. Yet
there is not a total process bar showing the total download percentage, only multiple process bars show up one-by-one when downloading each
modules. | thought the whole downloading is finished and closed module manger when the first process bar finished and disappeared.

#3 - 12/14/2009 03:10 PM - Chad Berkley

I've reviewed the module manager and these are the things I've noticed:

e the window opens too small on OSX. It should be ~200px wider.

¢ like jianwu said, the progress monitors show each individual download, but not the entire download. Either the dialog should be greyed out until
the full download completes, or there should be a full progress bar.

There seems to be a bug where if | select a few modules to download, then click the "retrieve" button, the first module is not removed from the
gui "selected modules” list.

¢ | did a "change-to" on an available suite. It was about 10% done with downloading ptolemy, but then displayed a "done downloading modules"
dialog.

After running the change-to, get this exception (and kepler crashes):

[run] java.io.EOFException: Unexpected end of ZLIB input stream

[run]  atjava.util.zip.InflaterinputStream fill(InflaterinputStream.java:223)

[run] atjava.util.zip.InflaterlnputStream.read(InflaterinputStream.java:141)

[run] atjava.util.zip.ZiplnputStream.read(ZipInputStream.java:146)

[run]  at org.kepler.modulemanager.AvailableModulesPanel.unzipHelper(AvailableModulesPanel.java:251)

[run]  at org.kepler.modulemanager.AvailableModulesPanel.unzip(AvailableModulesPanel.java:214)

[run]  at org.kepler.modulemanager.AvailableModulesPanel.downloadModules(AvailableModulesPanel.java:161)
e when | try to restart kepler | get:
[run] Exception in thread "main" java.lang.NoClassDefFoundError: org/kepler/Kepler
[run] Caused by: java.lang.ClassNotFoundException: org.kepler.Kepler
[run] atjava.net.URLClassLoader$1.run(URLClassLoader.java:200)

#4 - 12/14/2009 03:10 PM - Chad Berkley

turns out it changed my modules.txt to this:

berkley@Slickrock build-area$ more modules.txt
ssh-1.0.0

#5 - 12/15/2009 11:45 AM - Chad Berkley

| tried the MM again from a clean build. | was able to change-to the kepler-1.0.0 suite, however there are some problems. No actors appear in the
actor library. iran an ant clean-cache which seemed to fix the problem. | think this is described in bug 4587. | also noticed that the modules.txt file in
kepler-1.0.0/module-info/ has a bunch of weird characters in it. There are carrots after each line. Is this on purpose? It doesn't seem to affect build,
but it looks weird.

When restarting kepler with ant, it seems extremely slow after using the MM to change to kepler-1.0.0
Why is this suite called kepler-1.0.0? It does not actually change to kepler 1.0. This looks like Kepler 1.x dev. | think the versioning is confusing.

#6 - 01/19/2010 09:58 AM - Chad Berkley

I've finished reviewing this and | think it's working well now. | don't see any real problems with it. getting modules and suites works well and changing
to a suite also works, although the restart is a bit slow with no progress monitoring, but | think that would be hard to implement. Closing this bug.
Open new bugs for issues related to module manager.

#7 - 03/27/2013 02:26 PM - Redmine Admin
Original Bugzilla ID was 4338
